Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001198Documentation, Examples, and Web SiteWriting with Informpublic2014-02-27 07:052014-05-07 07:38
Reportermaga 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001198: WI 22.12 unclear about saving multiple tables to file.
DescriptionThe process for writing a table to an external file assumes that only one table will be written to each file: if the game wants to save more than one table, multiple files should be used. But the documentation does not specifically mention this anywhere. Attempting to save and then retrieve multiple tables from the same file leads to confusing runtime errors.

(With a CS background, it might be natural to assume that 'write' implies 'overwrite'; but my expectation was that overwriting would only happen if the table being written was already present in the file.)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002635)
graham (administrator)
2014-04-21 14:27

A good point; I've made the documentation clearer.

- Issue History
Date Modified Username Field Change
2014-02-27 07:05 maga New Issue
2014-02-27 07:43 EmacsUser Status new => confirmed
2014-02-27 07:43 EmacsUser Summary Documentation unclear about saving multiple tables to file. => WI 22.12 unclear about saving multiple tables to file.
2014-04-21 14:27 graham Note Added: 0002635
2014-04-21 14:27 graham Status confirmed => resolved
2014-04-21 14:27 graham Resolution open => fixed
2014-04-21 14:27 graham Assigned To => graham
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker